import 'dart:async';

import 'package:checker/screens/faq.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:image_picker/image_picker.dart';

import 'db.dart';
import 'strings.dart';

// Канал для взаимодействия с кодом платформы.
const platform = const MethodChannel('com.dinect.checker/instance_id');


// TODO: Избавиться от следующих двух методов
pushRoute(BuildContext context, Widget widget) {
  var route =
      new MaterialPageRoute<Null>(builder: (BuildContext context) => widget, fullscreenDialog: true);
  new Future.delayed(const Duration(milliseconds: 200), ()
  {
    Navigator.of(context).push(route);
  });
}

getCurrencyTitle(int code) {
  switch (code) {
    case 643:
      return StringsLocalization.nominativeRuble();
    case 840:
      return StringsLocalization.nominativeDollar();
    case 980:
      return StringsLocalization.nominativeHryvna();
    case 978:
      return StringsLocalization.nominativeEuro();
    case 398:
      return StringsLocalization.nominativeTenge();
  }
}

getLocaleTitle(String code) {
  switch (code) {
    case 'ru':
      return 'Русский';
    case 'en':
      return 'English';
    case 'ua':
      return 'Український';
    case 'es':
      return 'Español';
  }
}

// Добавил вызов, что-бы AOT компилер не выкинул либу.
getImage() async {
    return await ImagePicker.pickImage();
}
